# std::match_results::end, std::match_results::cend

From cppreference.com
< cpp‎ | regex‎ | match results

iterator end(); |  | (since C++11)
const_iterator end() const; |  | (since C++11)
const_iterator cend() const; |  | (since C++11)

Returns an iterator to the end of the list of sub-matches.

### Parameters

(none)

### Return value

Iterator to the element past the last sub-match.

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant

### See also

begin cbegin | returns iterator to the beginning of the list of sub-matches (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/regex/match_results/end&oldid=91574"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template